# MovieTrackingPlaneTrack(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTrackingPlaneTrack`(bpy_struct)

  Match-moving plane track data for tracking

  `image`

    Image displayed in the track during editing in clip editor

    Type: | `Image`

  `image_opacity`

    Opacity of the image

    Type: | float in [0, 1], default 0.0

  `markers`

    Collection of markers in track

    Type: | `MovieTrackingPlaneMarkers` `bpy_prop_collection` of `MovieTrackingPlaneMarker`, (readonly)

  `name`

    Unique name of track

    Type: | string, default “”, (never None)

  `select`

    Plane track is selected

    Type: | boolean, default False

  `use_auto_keying`

    Automatic keyframe insertion when moving plane corners

    Type: | boolean, default False

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieTracking.plane_tracks` `MovieTrackingObject.plane_tracks` | `MovieTrackingPlaneTracks.active`